## libmorfologik 0.2.0

=== Makefile ===

prefix=/usr
version=0.2.0

all: libmorfologik.so morfologik_shm

libmorfologik.so: libmorfologik.c libmorfologik.h
	gcc -O2 -shared -DMORFDIR=\"$(prefix)/share/morfologik/morfologik.bin\" -o libmorfologik.so -fPIC libmorfologik.c

morfologik_shm: libmorfologik.so libmorfologik.h morfologik_shm.c
	gcc -O2 -o morfologik_shm morfologik_shm.c -lmorfologik -L./ -I./
    
clean:
	rm -f libmorfologik.so morfologik_shm

distclean:
	make clean

dist:
	make distclean
	rm -rf ~/tmp/libmorfologik-$(version)
	mkdir -p ~/tmp/libmorfologik-$(version)
	cp -R * ~/tmp/libmorfologik-$(version)
	rm -rf ~/tmp/libmorfologik-$(version)/debian
	a=$(shell pwd)/../libmorfologik_$(version).orig.tar.gz;cd ~/tmp; \
                tar -czf $$a libmorfologik-$(version); \
                rm -rf libmorfologik-$(version)/debian;

	
install: libmorfologik.so libmorfologik.h morfologik_shm
	install -d -m 755 $(DESTDIR)$(prefix)/lib
	install -d -m 755 $(DESTDIR)$(prefix)/bin
	install -d -m 755 $(DESTDIR)$(prefix)/include
	install -m 755 libmorfologik.so $(DESTDIR)$(prefix)/lib/
	install -m 644 libmorfologik.h $(DESTDIR)$(prefix)/include/
	install -m 755 morfologik_shm $(DESTDIR)$(prefix)/bin/
	
uninstall:
	rm -f $(prefix)/lib/libmorfologik.so
	rm -f $(prefix)/include/libmorfologik.h
	rm -f $(prefix)/bin/morfologik_shm

=== debian/changelog ===
libmorfologik (0.2.0-1) precise; urgency=low

  * Archaisms added

 -- Bohdan R. Rau <ethanak@polip.com>  Tue, 25 Mar 2014 11:09:19 +0100

libmorfologik (0.1.0-1) precise; urgency=low

  * Corrected missing *.h

 -- Bohdan R. Rau <ethanak@polip.com>  Sat, 04 Jan 2014 09:05:11 +0100

libmorfologik (0.1.0) precise; urgency=low

  * Initial release

 -- Bohdan R. Rau <ethanak@polip.com>  Sat, 04 Jan 2014 08:22:58 +0100

=== debian/control ===
Source: libmorfologik
Section: libs
Priority: extra
Maintainer: ethanak <ethanak@polip.com>
Build-Depends: debhelper (>= 7.0.50~), wget
Standards-Version: 3.9.1
Homepage: http://milena.polip.com

Package: libmorfologik
Architecture: any
Depends: morfologik20-data, ${shlibs:Depends}, ${misc:Depends}
Description: Morfologik 2.0 libraries
 Morfologik 2.0 libraries

Package: libmorfologik-dev
Architecture: any
Depends: libmorfologik (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Morfologik 2.0 libraries  - development files
 Morfologik 2.0 libraries - development files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
export prefix=/usr

%:
	dh $@
